#ifndef BISON_CFG_TAB_H
# define BISON_CFG_TAB_H

#ifndef YYSTYPE
typedef union {
	long intval;
	unsigned long uval;
	char* strval;
	struct expr* expr;
	struct action* action;
	struct net* ipnet;
	struct ip_addr* ipaddr;
	struct id_list* idlst;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	FORWARD	257
# define	FORWARD_TCP	258
# define	FORWARD_TLS	259
# define	FORWARD_UDP	260
# define	SEND	261
# define	SEND_TCP	262
# define	DROP	263
# define	LOG_TOK	264
# define	ERROR	265
# define	ROUTE	266
# define	ROUTE_FAILURE	267
# define	ROUTE_ONREPLY	268
# define	EXEC	269
# define	SET_HOST	270
# define	SET_HOSTPORT	271
# define	PREFIX	272
# define	STRIP	273
# define	STRIP_TAIL	274
# define	APPEND_BRANCH	275
# define	SET_USER	276
# define	SET_USERPASS	277
# define	SET_PORT	278
# define	SET_URI	279
# define	REVERT_URI	280
# define	FORCE_RPORT	281
# define	IF	282
# define	ELSE	283
# define	SET_ADV_ADDRESS	284
# define	SET_ADV_PORT	285
# define	URIHOST	286
# define	URIPORT	287
# define	MAX_LEN	288
# define	SETFLAG	289
# define	RESETFLAG	290
# define	ISFLAGSET	291
# define	METHOD	292
# define	URI	293
# define	SRCIP	294
# define	SRCPORT	295
# define	DSTIP	296
# define	DSTPORT	297
# define	PROTO	298
# define	AF	299
# define	MYSELF	300
# define	MSGLEN	301
# define	DEBUG	302
# define	FORK	303
# define	LOGSTDERROR	304
# define	LOGFACILITY	305
# define	LISTEN	306
# define	ALIAS	307
# define	DNS	308
# define	REV_DNS	309
# define	PORT	310
# define	STAT	311
# define	CHILDREN	312
# define	CHECK_VIA	313
# define	SYN_BRANCH	314
# define	MEMLOG	315
# define	SIP_WARNING	316
# define	FIFO	317
# define	FIFO_MODE	318
# define	SERVER_SIGNATURE	319
# define	REPLY_TO_VIA	320
# define	LOADMODULE	321
# define	MODPARAM	322
# define	MAXBUFFER	323
# define	USER	324
# define	GROUP	325
# define	CHROOT	326
# define	WDIR	327
# define	MHOMED	328
# define	DISABLE_TCP	329
# define	TCP_CHILDREN	330
# define	TCP_CONNECT_TIMEOUT	331
# define	TCP_SEND_TIMEOUT	332
# define	DISABLE_TLS	333
# define	TLSLOG	334
# define	TLS_PORT_NO	335
# define	TLS_METHOD	336
# define	TLS_HANDSHAKE_TIMEOUT	337
# define	TLS_SEND_TIMEOUT	338
# define	SSLv23	339
# define	SSLv2	340
# define	SSLv3	341
# define	TLSv1	342
# define	TLS_VERIFY	343
# define	TLS_REQUIRE_CERTIFICATE	344
# define	TLS_CERTIFICATE	345
# define	TLS_PRIVATE_KEY	346
# define	TLS_CA_LIST	347
# define	ADVERTISED_ADDRESS	348
# define	ADVERTISED_PORT	349
# define	EQUAL	350
# define	EQUAL_T	351
# define	GT	352
# define	LT	353
# define	GTE	354
# define	LTE	355
# define	DIFF	356
# define	MATCH	357
# define	OR	358
# define	AND	359
# define	NOT	360
# define	NUMBER	361
# define	ID	362
# define	STRING	363
# define	IPV6ADDR	364
# define	COMMA	365
# define	SEMICOLON	366
# define	RPAREN	367
# define	LPAREN	368
# define	LBRACE	369
# define	RBRACE	370
# define	LBRACK	371
# define	RBRACK	372
# define	SLASH	373
# define	DOT	374
# define	CR	375


extern YYSTYPE yylval;

#endif /* not BISON_CFG_TAB_H */
